#!/usr/bin/env python
# encoding=utf-8

import requests
import requests

content = {
	'rec':"推荐信请求：\n亲爱的朱老师，\n我是您上学期《编译原理》课上的学生张忝苟，最近打算报名参加中科大计算机学院的保研考核，对方学院有推荐信要求，请问老师是否愿意帮我署名一份推荐信呢？\n如果可以的话，我写一份初稿，随附简历发送给您，待内容确认之后，我打印好去找您签字。（或有其它安排，依老师吩咐。）\n如果老师比较忙不方便，还请老师告知，我就不打扰老师了。\n谢谢老师！\n\n推荐信：\n[任课老师版]\n尊敬的中科大计算机学院领导，\n您好！我是电子科技大学计算机学院的朱朝阳，是张忝苟 《编译原理》课程的授课老师。很高兴作为推荐人向贵单位推荐忝苟攻读博士学位。\n忝苟是大三转专业过来的，此前我并不认识他，但这个每次上课坐在第一排正对着讲台的男孩给了我很深的印象。在我眼里，他是那种专注踏实、喜欢独立思考的“内敛型学霸”，没问过我问题，也几乎从来不在课堂上回答问题，然后一声不吭地在我的期中考试中拿了满分。对于《编译原理》这样一门高难度的专业课，这样令人满意的表现离不开他的认真踏实、聪明细心。在课堂之外，我观察到他积极参加学院老师的讲座，了解学科发展的前沿，拓展视野，也帮助自己更好地选择未来的研究方向，是一个有想法、有规划的学生。\n作为一名从教十年的老师，我认为忝苟在课程学习中所体现出的诸多特质对于他将来的学习和研究大有裨益，也展现了他的科研潜力。我了解到他过去在材料学院的导师指导下已经有了不错的科研成果，虽然这些跟他未来的研究方向可能完全无关，但这无疑说明他已经有了一定的科研基础，也具备一定的科研能力。因此，我非常相信他可以胜任直博生的科研工作，自律踏实，有想法、有能力，在贵单位的栽培下，一定可以取得出色的成就。\n真诚地希望贵单位考虑一下这位优秀的候选人，也期待忝苟能在贵单位找到自己的“伯乐”！预祝研招工作顺利！\n[科研导师版]\n尊敬的贵学院评审委员，\n您好！\n我是电子科技大学材料学院教授刘华强，是张忝苟本科期间的科研导师。我了解到他准备申请贵院的博士研究生，特向您予以推荐！\n张忝苟成绩优异，数理基础非常扎实，通过学院拔尖人才培养计划加入了我的课题组，至今已有一年半时间。他是一个非常踏实的学生，初入科研后很快便能静下心来阅读、整理文献，在跨校区一个小时车程的阻碍下，也从来没有缺席过一次组会。在科研中，他有很强的求知欲和主观能动性，除了广泛阅读文献，还会自己从学校图书馆借阅专业书籍填补自己理论基础的空缺，这对于课业相对繁重的本科生来讲是非常难得的。他还有明确的目标和清晰的规划，独自承担了一项大创，没有与同学组队，就是为了通过自己一个人从始至终的参与得到一个完整的科研训练。这些都是他作为一个科研新人所体现出来的优秀素养，让我看到了他的科研潜质。而在这一年半的科研经历中，我也见证了他的不断成长：从初入课题组的胆怯内敛，到自信流利的组会报告；从旁观者、参与者、共同作者，到独自完成自己的一作论文……尽管受到疫情的严重影响，有长达七个月的时间无法进行实验，而他转入新专业后，又需要补修整整一年的课，但他还是顶住了层层压力，凭借自己的自律和坚持，取得了非常不错的成果。\n我认为，他所表现出的种种好的习惯、态度和品质，一定可以帮助他在未来的研究中取得优异的成绩；另一方面，通过近两年的科研训练，他已经历了从理论学习、实验设计到数据分析、论文撰写这样一个完整的训练，具备了不错的科研基础。因此，我相信他是一位可塑之才，即使切换到一个全新的科研方向，他也能够快速入门、学有所成。\n衷心希望贵院给予张忝苟继续深造的机会，让他在祖国的计算机领域发光发热！\n\n报喜答谢：\n朱老师，您好！\n在您的有力推荐下，我已顺利通过中科大计算机学院夏令营考核、拿到心仪导师的直博offer，并确定为最终去向。非常感谢老师在我保研过程中对我的支持和帮助，同时也感谢您在编译原理课程中的辛勤付出和对我们的悉心教导。我会继续努力，不辜负老师的教育和期待。衷心祝愿老师工作顺利、生活愉快！",
	'harass':"套磁：\n亲爱的张兰老师，\n您好！见字如面。\n我是电子科技大学计算机科学与技术专业的18级本科生张忝苟，希望能保送到您的课题组攻读硕士研究生。我乐观善良、自律勤奋，数理基础扎实，有良好的项目基础和科研经历。我原本是化学专业的学生，第四学期转专业到计算机，大三学年在一年时间补修两年课程的压力下，仍以94.63的均分和众多奖项专业排名1/713，综测排名1/713，并潜心科研，在刘华强教授的指导下以第一作者或共同作者身份完成论文4篇，其中一篇 CVPR 已发表（一作），两篇 ACM MM 在审（分别为一作和三作），一篇 PNAS（学生一作）拟投稿。此外，我有丰富的算法实习经历（字节、商汤）和扎实的英语功底（IELTS 7.5 等），具备研究工作中所需的基本技能。我认为我在本科期间已经经历了一个较为完整的科研训练，有能力胜任研究生的科研任务。最重要的是，我踏实专注，能吃苦、有韧劲，有信心在未来的科研道路中取得优异的成果。\n中科大计算机学院作为我国计算技术领域首屈一指的学院，不但有强大的科研实力和纯粹的科研环境，更有像您一样通才硕学、春风化雨的优秀导师，让我无比向往。我对数据安全的跨领域应用很感兴趣，而数据共享交易又是当下亟待突破的重要方向之一，因此，我非常渴望能进入您的课题组读研，在相关领域的研究中尽己所能、有所贡献。为此，我已报名计算机学院夏令营，并将您作为我填报的意向导师，希望借助科大夏令营让我有机会成为您的学生。但在此之前，我想通过这封邮件请问老师是否有兴趣给我这个机会，如果可能的话，期待与您的进一步联系！\n非常感谢老师读到这里，我在附件中放了我的简历，如果老师有兴趣，欢迎下载查阅。\n敬颂钧安。\n\n张忝苟\n电子科技大学 计算机科学与工程学院\nE-mail: tiangou@std.uestc.edu.cn\nTel/Wechat: 199-2021-0916",
	'offer':"确认offer：\n张老师您好，我是张忝苟，我确定来您这边读博，不会再有变数。非常感谢老师对我的认可，如果您有其它事宜嘱咐，请您随时联系我。很抱歉这么晚回复，希望没有打扰到您。谢谢老师！",
	'pigeon':"咕咕咕：\n张老师您好，我怀着万分愧疚的心情告诉您，我打算放弃您的博士名额了，请先允许我向您诚挚地道歉。\n此前我已拿到南京大学的推荐资格，但老师告诉我没有学硕名额了，而后又很惊喜、很幸运地收到了您的邀请。彼时彼刻，我几乎完全不需要纠结，所以很快给了您一个确切答复。本以为不会再有变数，但南大老师突然通知有学硕名额候补到我，实在没想到会有这么一出，这突如其来的消息让我坐立难安。\n说实话，我不知道自己能不能在科研这条路上一直走下去，而作为寒门独子，读博的风险需要我的家人和我一起承担。于理而言，硕士对我来说无疑是更合适的选择；但于情而言，我又已向您给出承诺，一言既出，驷马难追。经过漫长的心理斗争，我最终还是决定，用我这一次的背信弃义，换取一条在未来很长一段时间更适合我的道路。从另一方面来讲，如果我不能直面直博的风险，同时又心系就业，这种分心或许也会严重影响我读博期间的科研工作，既不利于自己的成果产出，更辜负您的悉心栽培，所以我可能本来就不是一个合格的候选人，也衷心希望老师能招到更合适的学生。\n给您这样的消息，我感到非常难受、煎熬，但我相信您此刻的心情一定比我更糟糕。我知道我的行为给您和学院的招生工作带来了很大的麻烦，更伤害了您的感情，我为我的所作所为再次真诚道歉，也恳请老师谅解。最后，祝老师科研顺利，生活顺心，阖家幸福，万事胜意！",
	'lickback':"鸽完回舔：\n张老师您好，很抱歉又来打扰您，没想到这样戏剧性的一幕居然会发生在我身上：我误解了南大老师的意思，以为自己得到了学硕offer，但今天才得知学硕名额无法保证（老师的语言极具迷惑性，我身边几位同学也跟我有同样的遭遇）。\n前几天，我接到南大老师的“口头offer”，并最终决定选择南大时，由于害怕耽误您招生，给您造成更大的伤害，我第一时间向您传达了放弃直博名额的决定，对此，我至今仍心存歉意。但如今，南大老师的飘忽不定，让我对这所学校丧失信心。尽管仍有机会录取为学硕，但我已决定不再考虑，而是下定决心重返科大，潜心科研。\n然而，面对您的邀请，短短几天之内，我先是明确地肯定，又是不舍地放弃，反复无常的态度，不但给您带来了很多麻烦，更伤害了您的感情。如今，我已无颜再面对您，更不敢奢求您重新给我一次机会。而且，以老师享誉学界的通才硕学，相信老师也已经有了更优秀的人选。\n但今天冒昧打扰您，是想跟您说，如果老师您依然留有宝贵的名额，并且愿意给我机会，我将无比乐意地接受并给出绝对可靠的承诺，并即刻加入课题组，惜时如金，开启科研生活。\n出生二十年，从来没有整过这么大的幺蛾子，不知我的行为在您看来是可笑还是可气，反正我已对自己彻底无语……也许您已对我失去信心，但倘若有机会，我将在未来的几年中，用尽我全力来弥补。\n感谢老师愿意读到这里，再次向您道歉。",
	'repigeon':"回舔后再鸽：\n暂无参考。"
}

def pigeonking():
	print('"这里面的很多信息和模板和思路，都是这两届保研中实际情况的产物"',end=' ')
	print('"看着夸张 魔幻现实罢了"',end=' ')
	print('"真以为他写段子呢"')
	print('\n欢迎来到鸽子大舞台，这里是 pigeonking-0.0.2 。\n')
	print('Usage:\n')
	print('(shell)$ pigeonking\t\t\t# 重复此内容\n')
	print('>>> import pigeonking')
	print('>>> pigeonking.cat(\'rec\')\t# 推荐信相关模板')
	print('>>> pigeonking.cat(\'harass\')\t# 套磁模板')
	print('>>> pigeonking.cat(\'offer\')\t# 确认offer模板')
	print('>>> pigeonking.cat(\'pigeon\')\t# 咕咕咕模板')
	print('>>> pigeonking.cat(\'lickback\')\t# 鸽完回舔模板')
	print('>>> pigeonking.cat(\'repigeon\')\t# 回舔之后再鸽模板')
	print('\n有需要的话欢迎借鉴，希望这些模板能帮助你鼓起勇气早点跟老师说明情况。\n有机会会更新节日祝福等其它模板，敬请期待。')

def cat(title):
	if title in content.keys():
		print(content[title])
	else:
		print("暂无模板。")
